// kafka-connector options: START
[[camel-xmpp-kafka-connector-sink]]
= camel-xmpp-kafka-connector sink configuration

When using camel-xmpp-kafka-connector as sink make sure to use the following Maven dependency to have support for the connector:

[source,xml]
----
<dependency>
  <groupId>org.apache.camel.kafkaconnector</groupId>
  <artifactId>camel-xmpp-kafka-connector</artifactId>
  <version>x.x.x</version>
  <!-- use the same version as your Camel Kafka connector version -->
</dependency>
----

To use this Sink connector in Kafka connect you'll need to set the following connector.class

[source,java]
----
connector.class=org.apache.camel.kafkaconnector.xmpp.CamelXmppSinkConnector
----


The camel-xmpp sink connector supports 20 options, which are listed below.



[width="100%",cols="2,5,^1,1,1",options="header"]
|===
| Name | Description | Default | Required | Priority
| *camel.sink.path.host* | Hostname for the chat server | null | true | HIGH
| *camel.sink.path.port* | Port number for the chat server | null | true | HIGH
| *camel.sink.path.participant* | JID (Jabber ID) of person to receive messages. room parameter has precedence over participant. | null | false | MEDIUM
| *camel.sink.endpoint.login* | Whether to login the user. | true | false | MEDIUM
| *camel.sink.endpoint.nickname* | Use nickname when joining room. If room is specified and nickname is not, user will be used for the nickname. | null | false | MEDIUM
| *camel.sink.endpoint.pubsub* | Accept pubsub packets on input, default is false | false | false | MEDIUM
| *camel.sink.endpoint.room* | If this option is specified, the component will connect to MUC (Multi User Chat). Usually, the domain name for MUC is different from the login domain. For example, if you are supermanjabber.org and want to join the krypton room, then the room URL is kryptonconference.jabber.org. Note the conference part. It is not a requirement to provide the full room JID. If the room parameter does not contain the symbol, the domain part will be discovered and added by Camel | null | false | MEDIUM
| *camel.sink.endpoint.serviceName* | The name of the service you are connecting to. For Google Talk, this would be gmail.com. | null | false | MEDIUM
| *camel.sink.endpoint.testConnectionOnStartup* | Specifies whether to test the connection on startup. This is used to ensure that the XMPP client has a valid connection to the XMPP server when the route starts. Camel throws an exception on startup if a connection cannot be established. When this option is set to false, Camel will attempt to establish a lazy connection when needed by a producer, and will poll for a consumer connection until the connection is established. Default is true. | true | false | MEDIUM
| *camel.sink.endpoint.createAccount* | If true, an attempt to create an account will be made. Default is false. | false | false | MEDIUM
| *camel.sink.endpoint.resource* | XMPP resource. The default is Camel. | "Camel" | false | MEDIUM
| *camel.sink.endpoint.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.sink.endpoint.connectionConfig* | To use an existing connection configuration. Currently org.jivesoftware.smack.tcp.XMPPTCPConnectionConfiguration is only supported (XMPP over TCP). | null | false | MEDIUM
| *camel.sink.endpoint.synchronous* | Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported). | false | false | MEDIUM
| *camel.sink.endpoint.headerFilterStrategy* | To use a custom HeaderFilterStrategy to filter header to and from Camel message. | null | false | MEDIUM
| *camel.sink.endpoint.password* | Password for login | null | false | MEDIUM
| *camel.sink.endpoint.roomPassword* | Password for room | null | false | MEDIUM
| *camel.sink.endpoint.user* | User name (without server name). If not specified, anonymous login will be attempted. | null | false | MEDIUM
| *camel.component.xmpp.lazyStartProducer* | Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing. | false | false | MEDIUM
| *camel.component.xmpp.autowiredEnabled* | Whether autowiring is enabled. This is used for automatic autowiring options (the option must be marked as autowired) by looking up in the registry to find if there is a single instance of matching type, which then gets configured on the component. This can be used for automatic configuring JDBC data sources, JMS connection factories, AWS Clients, etc. | true | false | MEDIUM
|===



The camel-xmpp sink connector has no converters out of the box.





The camel-xmpp sink connector has no transforms out of the box.





The camel-xmpp sink connector has no aggregation strategies out of the box.
// kafka-connector options: END
